Bug 484941 - Install correct kernels on x86 installs
Install correct kernels on x86 installs
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11Beta/F11BetaBlocker
  Show dependency treegraph
 
Reported: 2009-02-10 14:31 EST by Jesse Keating
Modified: 2013-01-09 22:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-18 21:09:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2009-02-10 14:31:16 EST
Kernel now no longer has an i686 version.  There is i586 and PAE, and anaconda needs to make the right choice at install time to pick the right one.
Comment 1 Chris Lumens 2009-02-11 09:55:10 EST
What are the criteria for picking the right kernel package now?
Comment 2 Jesse Keating 2009-02-11 11:59:20 EST
If you have a PAE capable cpu, install the PAE kernel.  Otherwise install the .i586 kernel.
Comment 3 Jeff Layton 2009-02-17 09:33:03 EST
I did a f11 alpha install on my laptop yesterday and got the i586 kernel even though my machine is PAE capable.

To be clear, I think the simplest way to tell is look for " pae " in the flags field of /proc/cpuinfo. If that's set, then install the PAE kernel. Otherwise, go with i586...
Comment 4 Jesse Keating 2009-03-17 13:35:31 EDT
Yes, we're still getting i586 kernels on hardware capable of PAE as of rawhide on the 17th of March.
Comment 5 Chris Lumens 2009-03-17 14:17:18 EDT
This should be fixed in the next build of anaconda.
Comment 6 Jesse Keating 2009-03-18 21:09:55 EDT
This is confirmed fixed in the latest build of anaconda which is tagged for beta (confirmed for the PAE case, I don't have i586 hardware to confirm that way)

Note You need to log in before you can comment on or make changes to this bug.